{% extends 'base.html.twig' %}

{% block title %}New DocumentCsv{% endblock %}

{% block body %}
    <h1>Create new DocumentCsv</h1>

    {{ include('document_csv/_form.html.twig') }}

    <a href="{{ path('document_csv_index') }}">back to list</a>
{% endblock %}

{% block javascripts %}
{#  https://stackoverflow.com/questions/48613992/bootstrap-4-file-input-doesnt-show-the-file-name#48614128 #}
    {# la valeur "document_csv_csvFile" provient du code de la page html #}
    {{ parent() }}
    <script>
        $('#document_csv_csvFile').on('change',function(){
            //get the file name
            var fileName = $(this).val();
            //replace the "Choose a file" label
            $(this).next('.custom-file-label').html(fileName);
        })
    </script>
{% endblock %}
